zenilib: zenilib/jni/external/freetype2/include/freetype/ftrender.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions | Variables
ftrender.h File Reference
`#include <ft2build.h>`
`#include <FT_MODULE_H>`
`#include <FT_GLYPH_H>`

Go to the source code of this file.

## Classes

struct | FT_Glyph_Class_
struct | FT_Renderer_Class_

## Macros

#define | FT_Glyph_BBox_Func FT_Glyph_GetBBoxFunc
#define | FT_Glyph_Copy_Func FT_Glyph_CopyFunc
#define | FT_Glyph_Done_Func FT_Glyph_DoneFunc
#define | FT_Glyph_Init_Func FT_Glyph_InitFunc
#define | FT_Glyph_Prepare_Func FT_Glyph_PrepareFunc
#define | FT_Glyph_Transform_Func FT_Glyph_TransformFunc
#define | FTRenderer_getCBox FT_Renderer_GetCBoxFunc
#define | FTRenderer_render FT_Renderer_RenderFunc
#define | FTRenderer_setMode FT_Renderer_SetModeFunc
#define | FTRenderer_transform FT_Renderer_TransformFunc

## Typedefs

typedef FT_Error(* | FT_Glyph_CopyFunc )(FT_Glyph source, FT_Glyph target)
typedef void(* | FT_Glyph_DoneFunc )(FT_Glyph glyph)
typedef void(* | FT_Glyph_GetBBoxFunc )(FT_Glyph glyph, FT_BBox *abbox)
typedef FT_Error(* | FT_Glyph_PrepareFunc )(FT_Glyph glyph, FT_GlyphSlot slot)
typedef void(* | FT_Glyph_TransformFunc )(FT_Glyph glyph, const FT_Matrix *matrix, const FT_Vector *delta)
typedef struct FT_Renderer_Class_ | FT_Renderer_Class
typedef void(* | FT_Renderer_GetCBoxFunc )(FT_Renderer renderer, FT_GlyphSlot slot, FT_BBox *cbox)
typedef FT_Error(* | FT_Renderer_RenderFunc )(FT_Renderer renderer, FT_GlyphSlot slot, FT_UInt mode, const FT_Vector *origin)
typedef FT_Error(* | FT_Renderer_SetModeFunc )(FT_Renderer renderer, FT_ULong mode_tag, FT_Pointer mode_ptr)
typedef FT_Error(* | FT_Renderer_TransformFunc )(FT_Renderer renderer, FT_GlyphSlot slot, const FT_Matrix *matrix, const FT_Vector *delta)

## Functions

| FT_Get_Renderer (FT_Library library, FT_Glyph_Format format)
| FT_Set_Renderer (FT_Library library, FT_Renderer renderer, FT_UInt num_params, FT_Parameter *parameters)

## Variables

FT_BEGIN_HEADER typedef FT_Error(* | FT_Glyph_InitFunc )(FT_Glyph glyph, FT_GlyphSlot slot)

## Macro Definition Documentation

#define FT_Glyph_BBox_Func FT_Glyph_GetBBoxFunc

Definition at line 69 of file ftrender.h.

#define FT_Glyph_Copy_Func FT_Glyph_CopyFunc

Definition at line 70 of file ftrender.h.

#define FT_Glyph_Done_Func FT_Glyph_DoneFunc

Definition at line 67 of file ftrender.h.

#define FT_Glyph_Init_Func FT_Glyph_InitFunc

Definition at line 66 of file ftrender.h.

#define FT_Glyph_Prepare_Func FT_Glyph_PrepareFunc

Definition at line 71 of file ftrender.h.

#define FT_Glyph_Transform_Func FT_Glyph_TransformFunc

Definition at line 68 of file ftrender.h.

#define FTRenderer_getCBox FT_Renderer_GetCBoxFunc

Definition at line 114 of file ftrender.h.

#define FTRenderer_render FT_Renderer_RenderFunc

Definition at line 112 of file ftrender.h.

#define FTRenderer_setMode FT_Renderer_SetModeFunc

Definition at line 115 of file ftrender.h.

#define FTRenderer_transform FT_Renderer_TransformFunc

Definition at line 113 of file ftrender.h.

## Typedef Documentation

typedef FT_Error(* FT_Glyph_CopyFunc)(FT_Glyph source, FT_Glyph target)

Definition at line 58 of file ftrender.h.

typedef void(* FT_Glyph_DoneFunc)(FT_Glyph glyph)

Definition at line 46 of file ftrender.h.

typedef void(* FT_Glyph_GetBBoxFunc)(FT_Glyph glyph, FT_BBox *abbox)

Definition at line 54 of file ftrender.h.

typedef FT_Error(* FT_Glyph_PrepareFunc)(FT_Glyph glyph, FT_GlyphSlot slot)

Definition at line 62 of file ftrender.h.

typedef void(* FT_Glyph_TransformFunc)(FT_Glyph glyph, const FT_Matrix *matrix, const FT_Vector *delta)

Definition at line 49 of file ftrender.h.

typedef struct FT_Renderer_Class_ FT_Renderer_Class

typedef void(* FT_Renderer_GetCBoxFunc)(FT_Renderer renderer, FT_GlyphSlot slot, FT_BBox *cbox)

Definition at line 101 of file ftrender.h.

typedef FT_Error(* FT_Renderer_RenderFunc)(FT_Renderer renderer, FT_GlyphSlot slot, FT_UInt mode, const FT_Vector *origin)

Definition at line 88 of file ftrender.h.

typedef FT_Error(* FT_Renderer_SetModeFunc)(FT_Renderer renderer, FT_ULong mode_tag, FT_Pointer mode_ptr)

Definition at line 107 of file ftrender.h.

typedef FT_Error(* FT_Renderer_TransformFunc)(FT_Renderer renderer, FT_GlyphSlot slot, const FT_Matrix *matrix, const FT_Vector *delta)

Definition at line 94 of file ftrender.h.

## Function Documentation

FT_Get_Renderer | ( | FT_Library | library,
|  | FT_Glyph_Format | format
| ) |  |

Definition at line 3934 of file ftobjs.c.

References FT_Lookup_Renderer().

FT_Set_Renderer | ( | FT_Library | library,
|  | FT_Renderer | renderer,
|  | FT_UInt | num_params,
|  | FT_Parameter * | parameters
| ) |  |

Definition at line 3946 of file ftobjs.c.

References error, FT_Err_Invalid_Argument, FT_Err_Ok, FT_GLYPH_FORMAT_OUTLINE, FT_List_Find(), and FT_List_Up().

Referenced by FT_Outline_Render(), and FT_Render_Glyph_Internal().

## Variable Documentation

FT_BEGIN_HEADER typedef FT_Error(* FT_Glyph_InitFunc)(FT_Glyph glyph, FT_GlyphSlot slot)

Definition at line 41 of file ftrender.h.